{% extends "shuup/front/base.jinja" %}
{% from "shuup/front/macros/general.jinja" import render_field %}

{% block container_start %}
<div class="container">
{% endblock %}

{% block navigation %}
    {{ render_navigation(show_quick_login=False) }}
{% endblock %}

{% block title %}{% trans %}Register as a Brand{% endtrans %}{% endblock %}

{% block content %}
    <div class="brand-register mt-4 mb-6">
        <h1 class="page-header mb-5">
            {% trans %}Brand Registration{% endtrans %}
        </h1>
        {% if form.is_admin_user() %}
            <div class="alert alert-danger mb-5">
                {% trans %}Registering is not available for superusers and shop staff.{% endtrans %}
            </div>
        {% endif %}

        <form method="post">
            {% csrf_token %}

            <div class="brand-register__form-section">
                <div class="row">
                    <div class="col-md-4 col-lg-3 mb-4">
                        <h2 class="h4">{{ _("Brand information") }}</h2>
                        <p class="text-muted">{{ _("Enter the name and contact details of your brand.") }}</p>
                    </div>
                    <div class="col-md-8 col-lg-9">
                        <div class="d-flex">
                            {{ render_form(form.forms.vendor_base) }}
                            {{ render_address_form(form.forms.vendor_address) }}
                            {{ render_form(form.forms.canvas_vendor_extra) }}
                        </div>
                    </div>
                </div>
            </div>

            <div class="brand-register__form-section">
                <div class="row">
                    <div class="col-md-4 col-lg-3 mb-4">
                        <h2 class="h4">{{ _("Representative") }}</h2>
                        <p class="text-muted">{{ _("Enter the information of the brand representative.") }}</p>
                    </div>
                    <div class="col-md-8 col-lg-9">
                        <div class="d-flex">
                            {{ render_form(form.forms.vendor_person) }}
                        </div>
                    </div>
                </div>
            </div>

            <div class="brand-register__form-section">
                <div class="row">
                    <div class="col-md-4 col-lg-3 mb-4">
                        <h3>{{ _("Login information") }}</h3>
                        <p class="text-muted">{{ _("The information you will log in with.") }}</p>
                    </div>
                    <div class="col-md-8 col-lg-9">
                        {% if form.forms.vendor_user %}
                            {{ render_form(form.forms.vendor_user) }}
                        {% endif %}
                        {% if form.forms.vendor_custom %}
                            {{ render_form(form.forms.vendor_custom) }}
                        {% endif %}
                    </div>
                </div>
            </div>

            {% if not form.is_admin_user() %}
                <div class="row">
                    <div class="col-md-8 col-lg-9 col-md-offset-4 col-lg-offset-3">
                        <button type="submit" class="btn btn-white btn-lg-horizontal btn-lg-vertical">
                            {% trans %}Register{% endtrans %}
                        </button>
                    </div>
                </div>
            {% endif %}
        </form>
    </div>
{% endblock %}

{% macro render_address_form(form) %}
    {{ render_form(form, except_fields=["name", "name_ext", "prefix", "suffix",]) }}
{% endmacro %}

{% macro render_form(form, except_fields=[]) %}
    {{ form.non_field_errors() }}
    {% for field in form.hidden_fields() %}{{ field|safe }}{% endfor %}
    {% for field in form.visible_fields() %}
        {% if field.name not in except_fields %}
            {{ render_field(field) }}
        {% endif %}
    {% endfor %}
{% endmacro %}

{% block extrajs %}
    {# Enable region fields #}
    <script src="{{ shuup_static('shuup-regions.js') }}"></script>
    <script>
        window.initializeRegionFields('#id_vendor_address-country', '#id_vendor_address-region_code', '#id_vendor_address-region');
    </script>
{% endblock %}
